Bug 490970 - Empathy crashes at seemingly random intervals
Empathy crashes at seemingly random intervals
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-glib (Show other bugs)
10
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 13:51 EDT by Kvikende
Modified: 2009-12-18 04:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Empathy crash gdb info (1.42 KB, text/plain)
2009-03-18 13:52 EDT, Kvikende
no flags Details
Another crash trace (1.84 KB, text/plain)
2009-03-19 12:56 EDT, Kvikende
no flags Details

  None (edit)
Description Kvikende 2009-03-18 13:51:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; nn-NO; rv:1.9.0.7) Gecko/2009030503 Fedora/3.0.7-1.fc10 Firefox/3.0.7

I've run empathy in gdb for days to capture one of the crashes that seems to happen on random intervals. Today, I finally got it. Normally it will happen at least two times a day.

Reproducible: Sometimes

Steps to Reproduce:
1. Log on to MSN with Empathy
2. Wait for the random interval
3. Don't find the green circle in the sys tray anymore - empathy has crashed
Actual Results:  
Crashed Empathy

Expected Results:  
Running Empathy
Comment 1 Kvikende 2009-03-18 13:52:53 EDT
Created attachment 335744 [details]
Empathy crash gdb info
Comment 2 Kvikende 2009-03-19 12:56:04 EDT
Created attachment 335888 [details]
Another crash trace

I am attaching another crash trace in case it is helpful.
Comment 3 Peter Gordon 2009-03-19 22:08:52 EDT
Thanks for the bug report. I've also had stability issues with Empathy over the past few weeks and haven't really tried to narrow it down much. This should certainly help .
Comment 4 Kvikende 2009-04-04 15:50:48 EDT
I reported it to the GNOME bugzilla, and it's supposedly been fixed.

http://bugzilla.gnome.org/show_bug.cgi?id=577003
Comment 5 Peter Gordon 2009-04-04 20:05:45 EDT
As mentioned in the GNOME bug report, this appears to be a telepathy-glib issue, which is "fixed in new telepathy-glib versions." 

I wonder: is the in-rawhide telepathy-glib sufficient for this? (I've only just finished downloading the Beta, so haven't checked myself yet...)
Comment 6 Peter Gordon 2009-04-04 20:06:48 EDT
(In reply to comment #5)
> I wonder: is the in-rawhide telepathy-glib sufficient for this? (I've only just
> finished downloading the Beta, so haven't checked myself yet...)  

We're talking about F-10, rather. The better question is then: What version of telepathy-glib is this fixed in? :)
Comment 7 Kvikende 2009-04-05 12:03:09 EDT
I have asked on the GNOME Bugzilla. Hopefully they will help us :)
Comment 8 Kvikende 2009-04-05 18:28:46 EDT
Will Thompson on the GNOME Bugzilla said that it was fixed in telepathy-glib 0.7.20.

Hope that will help :)
Comment 9 Bug Zapper 2009-11-18 04:29:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:03:19 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.